<?php
session_start();
//RESTRICCI�N DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		use PHPMailer\PHPMailer\PHPMailer;
		use PHPMailer\PHPMailer\Exception;							
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
set_time_limit(30000);
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$_SESSION['per_validar']=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
	$cierreperiodo= ($row['pre']==0?'PRE-CIERRE':'CIERRE AUDITADO');
} else $_SESSION['per_validar']='';
///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
$accion=obtener_valor_diccionario($_REQUEST, "accion");
if (!$_POST || $accion==11 || obtener_valor_diccionario($_POST, 'cerrar')==1) {
	if (obtener_valor_diccionario($_POST, 'cerrar')==1 && strtoupper(obtener_valor_diccionario($_POST, 'si'))=='SI') {
		///Buscar el último período para cambiar el estatus y anular el pre-cierre unicamente a ese periodo
		$consultaUltper="select MAX(periodo) as periodo from periodo where id='".$_SESSION['id_validar']."' and nomina='".substr(obtener_valor_diccionario($_POST, 'nomina'),0,3)."' ";
		$resultadoUltper = mysqli_query($enlace,$consultaUltper) or die($consultaUltper.mysqli_error($enlace));
		$rowU=mysqli_fetch_array($resultadoUltper);
		$ultPeriodo=$rowU['periodo'];

		$consulta=mysqli_query($enlace,"update  periodo set pre=0 where id='".$_SESSION['id_validar']."' and nomina='".substr(obtener_valor_diccionario($_POST, 'nomina'),0,3)."' and periodo='".$ultPeriodo."' ");


								/////////////////////////// enviar correo
		if (obtener_valor_diccionario($_POST,'enviar')==1) {

			$consultaxx = mysqli_query($enlace,
				"select detalle from nomina where id='".$_SESSION['id_validar']."' and codigo='".substr($_POST['nomina'],0,3)."'"
			);
			if (mysqli_num_rows($consultaxx)!=0){
				$row=mysqli_fetch_array($consultaxx);
				$detallenom = $row['detalle'];
			}

			$consultaxx2=mysqli_query($enlace,"select periodo from periodo where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' order by periodo DESC limit 1 ");
			if (mysqli_num_rows($consultaxx2)!=0){
				$row=mysqli_fetch_array($consultaxx2);
				$detalle_periodo = $row['periodo'];
			}

			$consulta="select * from empresa where id='".$_SESSION['id_validar']."' ";
			$resultado3 = mysqli_query($enlace,$consulta) or die($consulta.mysqli_error($enlace));
			$row3=mysqli_fetch_array($resultado3);
			$email1=$row3['email1'];
			$email2=$row3['email2'];
			mysqli_free_result($resultado3);

			//// armar correo
				//Envía correo
			
		//Para el correo desde aqui parametros y varibles generales 
		require 'PHPMailer/src/Exception.php';
		require 'PHPMailer/src/PHPMailer.php';
		require 'PHPMailer/src/SMTP.php';
		
		$mail = new PHPMailer(true);
		 //Servidor de correo configuracion
			 //$mail->SMTPDebug = 2; //Enable verbose debug output
			 $mail->isSMTP(); // Set mailer to use SMTP
			 $mail->Host = 'ssl://www.saireh-nomina.com'; // Specify main and backup SMTP servers
			 $mail->SMTPAuth = true; // Enable SMTP authentication
			 $mail->Username = 'info@saireh-nomina.com'; // SMTP username
			 $mail->Password = 'c0n5ul74rh3'; // SMTP password
			 $mail->SMTPSecure = 'tls'; // Enable TLS encryption, [ICODE]ssl[/ICODE] also accepted
			 $mail->Port = 465; // TCP port to connect to
			 ///envio de correos hasta aqui
			//echo "aqui revienta primero<br>";
			 //Recipients
			 $mail->setFrom('info@saireh.com', 'Saireh Nomina Merino');
			$mail->addAddress($email1);///Una linea por cada destinatario
			$mail->addAddress($email2);///Una linea por cada destinatario
			
			$mail->addCC('NOMINA@SAIREH.COM');
			$mail->addCC('acarvallo@grupo-merino.com');
   
				$asunto = 'Pre Cierre de Nomina ANULADO en: '.substr($_POST['nomina'],0,3).'-' .$detallenom. '- Periodo: ' .$detalle_periodo.' Efectuado en: '.$_SESSION['empresa_validar'];
				
				$mensaje = 'Pre Cierre ANULADO por: '.$_SESSION['nombre_validar'];
				
				// Content
			 $mail->isHTML(true); // Set email format to HTML
			 $mail->Subject = $asunto;
			 $mail->Body = $mensaje;
			 $mail->AltBody = $mensaje;
			
			 $mail->send();
			
		}
		echo "<h2><font color='red'><center>Pre-Cierre ANULADO....</center></font></h2>";		
		/////////////////////////// cerrar correo
	}

menu();
echo "<b>Opciones:</b>
&nbsp;&nbsp;<img border = 0 src='images/b_roja.png' alt='Pre-Cierre'>:<a href='".$_SERVER['PHP_SELF']."?accion=11'>Anular Pre-Cierre</a>
&nbsp;&nbsp;<img border = 0 src='images/b_cerrar.png' alt='Pre-Cierre'>:<a href='calculo_cierre.php'>Efectuar Cierre de N&oacute;mina</a>";
if (substr($_SESSION['acceso_validar'],11,1)=='1') echo "&nbsp;&nbsp;<img border = 0 src='images/b_reporte.png' alt='Pre-Cierre'>:<a href='calculo_reporte.php'>Reportes Pre-Cierre</a>";
if (substr($_SESSION['acceso_validar'],13,1)=='1') echo "&nbsp;&nbsp;<img border = 0 src='images/b_estavez.png' alt='Pre-Cierre'>:<a href='calculo_historico.php'>Reportes Historicos</a>";
echo "</font><Hr>";
echo "<H2>Reportes de C&aacute;lculos de N&oacute;mina Auditados</H2>";
$entra=0;

if ($accion==11) {
	echo "<form name = 'entrada3' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data'>";
	echo "<input type = 'hidden' name = 'cerrar' value = '1'>";
	echo "<table align ='center'>";
		$query = "select * from nomina where id='".$_SESSION['id_validar']."' ";
		$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");
		$resultado = mysqli_num_rows($consulta);
		echo "<tr><td align = 'righta'> N&oacute;mina a procesar: </td>";
		echo "<td colspan=3 align = 'left'> <select name = 'nomina'>";
		echo "<option width = '30%'>Seleccione";
		if ($resultado != 0) {
			for ($i=0;$i<$resultado;$i++) {
				$row1 = mysqli_fetch_array($consulta);
				echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
			}
		}
		echo "</select>";
		echo "</td></tr>";
	echo "<tr>";
		echo "<td align = 'right'> Anular Pre-Cierre? (SI): </td>";
		echo "<td align = 'left'> <input type = 'text' name = 'si' size = '5' maxlength = '2' </td>";
						echo "  <tr><td align='righta'>Enviar Email:</td>
				<td align='left'>
					<select style='width:300px;' name='enviar'>
						<option value='1'  selected>SI
						<option value='2'>NO
					</select>
				</td>
				</tr>";

		echo "<td ><input name='procesar' type = 'submit' value = 'Anular Pre-Cierre'></td></form>";
		echo "<script language='javascript' type='text/javascript'>document.entrada3.si.focus();</script>";
		echo "<form name = 'entrada2' method = 'POST' action = '".$_SERVER['PHP_SELF']."'>";
		echo "<td ><input type = 'submit' value = 'Regresar al Inicio'></td>";
	echo "</tr>";
	echo "</table></form>";

} else {

	$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
	if (mysqli_num_rows($consulta)!=0){
		$row=mysqli_fetch_array($consulta);
		$gerencia=$row['gerencia'];
	}
	echo "<form name='entrada' action='".$_SERVER['PHP_SELF']."' target='blank' method='POST' enctype='multipart/form-data'>
	<input type='hidden' name='usuario' value = '".$_SESSION['nombre_validar']."'>
	<input type='hidden' name='ordena' value = 'codigo'>
	<table align='center'>";
			echo "
				<tr><td colspan=2 align='center'>Status Actual de la N&oacute;mina: ".$cierreperiodo."</td>
				</tr>";
			echo "<tr><td><br></td></tr>";
			echo utf8_encode("
				<tr><td align='righta'><font color=red size=3><b>Tipo Reporte:</b></font></td>
				<td align='left'>
					<select style='width:300px;' name='treporte'>
						<option value='1'>Resumen General de Conceptos
						<option value='2'>Resumen Individual de Nomina
						<option value='3' selected>Pago de Nomina General (PRENOMINA)
						<option value='4'>Recibos de Pagos
						<option value='5'>Detalle de Conceptos
						<option value='6'>Detalle de Deducciones/Asignaciones Automaticas
						<option value='7'>Carta Bancaria (Firmas)
						<option value='9'>TEXTO NOMINA PARA EL BANCO
						<option value='8'>Reporte de Nomina (Excel)
						".($gerencia!=0?"<option value='A'>Reporte Especial #01 (Personal Empleado)":"")."
						".($gerencia!=0?"<option value='B'>Reporte Especial #02 (Personal Vendedores)":"")."
					</select>
				</td>
				</tr>");
			echo "
				<tr><td><br></td>
				</tr>";
			echo "
				<tr><td align='righta'>Salida del Reporte:</td>
				<td align='left'>
					<select style='width:300px;' name='salida'>
						<option value='1' selected>Ver en PDF
						<option value='2' selected>Ver en Pantalla (No incluye Recibos de Pagos)
					</select>
				</td>
				</tr>";
			echo "
				<tr><td align='righta'>Status del Trabajador:</td>
				<td align='left'>
					<select style='width:300px;' name='statusx'>
						<option value='' selected>Todos
						<option value='A'>Activos
						<option value='C'>Contratados
					</select>
				</td>
				</tr>";
			echo "
				<tr><td align='righta'>Estilo del Recibo:</td>
				<td align='left'>
					<select style='width:300px;' name='forma'>
						<option value='1' selected>Recibo de Pago Horizontal
						<option value='2'>Recibo de Pago Vertical
					</select>
				</td>
				</tr>";
			echo "
				<tr><td align='righta'>Logo en Recibo:</td>
				<td align='left'>
					<select style='width:300px;' name='logosino'>
						<option value='0' selected>SI
						<option value='1'>NO
					</select>
				</td>
				</tr>";

			echo "<tr>";
			$query = "select * from concepto where id='".$_SESSION['id_validar']."' order by codigo";
			$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Por conceptos: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'concepto'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}
			echo "</select></td>";

			$query = "select * from nomina where id='".$_SESSION['id_validar']."' ";
			$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");
			$resultado = mysqli_num_rows($consulta);
			echo "<tr><td align = 'righta'> N&oacute;mina: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'nomina'>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					if ($_SESSION['nom01_validar']!=$row1['codigo'])
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}
			echo "</select>";
			echo "</td></tr>";

			/*echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('GERENCIA') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Gerencia: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'gerencia'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}
			echo "</select>";
			echo "</td>";
			echo "</tr>";			*/
			/*
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DIVISION') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Divisi&oacute;n: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'division'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}
			echo "</select>";
			echo "</td>";
			echo "</tr>";			*/

			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DEPARTAMENTO') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Departamento: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'departamento'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}
			echo "</select>";
			echo "</td>";

			echo "
				<tr><td align='righta'>Forma de Pago:</td>
				<td align='left'>
					<select style='width:300px;' name='pago'>
						<option value='' selected>
						<option value='1'>Efectivo
						<option value='2'>Deposito Bancario
					</select>
				</td>
				</tr>";
				/////Condiciono el tipo de banco de acuerdo con la empresa (Mersan o FINTECH)--Miguelangel 24/05/22
			if ($_SESSION['id_validar']==104 || $_SESSION['id_validar']==106 || $_SESSION['id_validar']==107)
			{///Aplica para Mersan, GSC y IGM
			echo "<tr>
			<td align='righta'>Banco a pagar:</td>
			<td align='left'><select style='width:300px;' name='bancopaga'>
			<option value='' selected>
			<option value='1'>Banco PROVINCIAL
			<option value='2'>Banco PROVINCIAL a Otros Bancos
			<option value='5'>Banco BNC
			
			</select></td>
			</tr>";
			echo "<tr>";

		}elseif ($_SESSION['id_validar']==105)
			{
				///FINTECH
				echo "<tr>
				<td align='righta'>Banco a pagar:</td>
				<td align='left'><select style='width:300px;' name='bancopaga'>
				<option value='' selected>
				<option value='3'>Banco VENEZUELA
				<option value='4'>Otros Bancos</select></td>
				</tr>";
			}


			echo "<td align='righta'>T&iacute;tulo:</td>";
			echo "<td align='left'><input style='width:300px;' name='titulo' size = '35' maxlength = '50' value = '$titulo'></td></tr>";
			echo "<tr><td align='righta'>Subt&iacute;tulo:</td>";
			echo "<td align='left'><input style='width:300px;' name='subtitulo' size = '35' maxlength = '50'></td></tr>";
			echo "<tr><td colspan='4' align='center'>";
			echo "<input name='ver' type='image' src='img2/boton_buscar.jpg' value='Procesar Reporte'>";
			echo "</td></tr>";
			echo "</table></form></font>";
		}

} else {
///////////////////////////////////////////////// cuando esta recibiendo datos  ////////////////////////////////////////////////////////////////
		/////////////////////////////////////////////// imprimir PAYROLL
		$payroll="z_".trim($_SESSION['usuario_validar']).trim($_SESSION['id_validar']);
		$consulta=mysqli_query($enlace,"create table if not exists `".$payroll."` (
					  `cedula` varchar(8) NOT NULL,
					  `concepto` varchar(4) NOT NULL,
					  `desconcepto` varchar(50) NOT NULL,
					  `tipo` varchar(1) NOT NULL,
					  `monto` decimal(18,2) NOT NULL,
					  `saldo` decimal(18,2) NOT NULL,
					  `cantidad` decimal(18,2) NOT NULL,
					  `nomina` varchar(3) NOT NULL,
					  `desnomina` varchar(50) NOT NULL,
					  `departamento` varchar(10) NOT NULL,
					  `unidad` varchar(10) NOT NULL,
					  `cargo` varchar(6) NOT NULL,
					  `turno` varchar(4) NOT NULL,
					  `periodo` varchar(3) NOT NULL,
					  `desperiodo` varchar(50) NOT NULL
					) ENGINE=MyISAM DEFAULT CHARSET=latin1;");
		$consulta=mysqli_query($enlace,"delete from `".$payroll."`");

		$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$duti=$row['duti'];
			$tasa_usd=$row['tasa_usd'];
			$tasa_usd_2=$row['tasa_usd_2'];
			$gerencia=$row['gerencia'];
			$conger01=$row['concepto01'];
			$conger02=$row['concepto02'];
			$conger03=$row['concepto03'];
			$conger04=$row['concepto04'];
			$conger05=$row['concepto05'];
			$conger06=$row['concepto06'];
		}

		$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' order by periodo DESC limit 1");
		$nomina='';$periodo='';$desnomina='';$departamento='';$unidad='';$desperiodo='';$cortededu=0;$cortepdvsa=0;
		$nomina=substr($_POST['nomina'],0,3);
		$desnomina=substr($_POST['nomina'],6,50);
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$cortededu=($row['deduccion']=='2'?1:0);
			$periodo=$row['periodo'];
			$lunes=$row['lunes'];
			$desperiodo=$row['desde'].' al '.$row['hasta'];
		}
		$status = (obtener_valor_diccionario($_POST, 'statusx')==''?" (status='A' or status='C') ":" status='".obtener_valor_diccionario($_POST, 'statusx')."' ");
		$query="where id='".$_SESSION['id_validar']."' and ".$status." and nomina='".substr(obtener_valor_diccionario($_POST, 'nomina'),0,3)."'  and fechai<='".$row['hasta'] ."' ";
		if (obtener_valor_diccionario($_POST, 'cedula')!="") $query.="and codigo='".obtener_valor_diccionario($_POST, 'cedula')."' ";
		if (obtener_valor_diccionario($_POST, 'gerencia')!="") $query.="and gerencia='".substr(obtener_valor_diccionario($_POST, 'gerencia'),0,4)."' ";
		if (obtener_valor_diccionario($_POST, 'direccion')!="") $query.="and direccion='".substr(obtener_valor_diccionario($_POST, 'direccion'),0,4)."' ";
		if (obtener_valor_diccionario($_POST, 'estado')!="") $query.="and estado='".substr(obtener_valor_diccionario($_POST, 'estado'),0,4)."' ";
		if (obtener_valor_diccionario($_POST, 'division')!="") $query.="and division='".substr(obtener_valor_diccionario($_POST, 'division'),0,4)."' ";
		if (obtener_valor_diccionario($_POST, 'municipio')!="") $query.="and municipio='".substr(obtener_valor_diccionario($_POST, 'municipio'),0,4)."' ";
		if (obtener_valor_diccionario($_POST, 'sector')!="") $query.="and sector='".substr(obtener_valor_diccionario($_POST, 'sector'),0,4)."' ";
		if (obtener_valor_diccionario($_POST, 'parroquia')!="") $query.="and parroquia='".substr(obtener_valor_diccionario($_POST, 'parroquia'),0,4)."' ";
		if (obtener_valor_diccionario($_POST, 'area')!="") $query.="and area='".substr(obtener_valor_diccionario($_POST, 'area'),0,4)."' ";
		if (obtener_valor_diccionario($_POST, 'pago')!="") $query.="and pago='".substr(obtener_valor_diccionario($_POST, 'pago'),0,4)."' ";
		if (obtener_valor_diccionario($_POST, 'departamento')!="") $query.="and departamento='".substr(obtener_valor_diccionario($_POST, 'departamento'),0,6)."' ";
		if (obtener_valor_diccionario($_POST, 'cargo')!="") $query.="and cargo='".substr(obtener_valor_diccionario($_POST, 'cargo'),0,6)."' ";
		if (obtener_valor_diccionario($_POST, 'turno')!="") $query.="and turno='".substr(obtener_valor_diccionario($_POST, 'turno'),0,4)."' ";
		if (obtener_valor_diccionario($_POST, 'profesion')!="") $query.="and profesion='".substr(obtener_valor_diccionario($_POST, 'profesion'),0,4)."' ";
		if (obtener_valor_diccionario($_POST, 'unidad')!="") $query.="and unidad='".substr(obtener_valor_diccionario($_POST, 'unidad'),0,4)."' ";

		$queryinicial="select * from personal ".$query." order by codigo";

		//========================================================//
		//========================================================//
		//========================================================//
		$_POST['tipoproceso']=1;
		include("proceso_formula.php");
		//========================================================//
		//========================================================//
		//========================================================//

		/////////////////////////////////////////////// filtros de eliminacion INDIVIDUAL
		$query="select * from concepto_empleado where id='".$_SESSION['id_validar']."' ";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		while ($rowemp=mysqli_fetch_array($qempleado)) {
			$query="delete from $payroll where cedula='".$rowemp['cedula']."' and concepto = '".$rowemp['codigo']."'";
			$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
		} // fin ciclo de concepto individual
		/////////////////////////////////////////////// filtros de eliminacion NOMINA
		$query="select * from concepto_nomina where id='".$_SESSION['id_validar']."' ";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		while ($rowemp=mysqli_fetch_array($qempleado)) {
			$query="delete from $payroll where nomina='".$rowemp['nomina']."' and concepto = '".$rowemp['codigo']."'";
			$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
		} // fin ciclo de concepto nomina
		/////////////////////////////////////////////// filtros de eliminacion PERIODO
		$query="select * from concepto_periodo where id='".$_SESSION['id_validar']."' ";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		while ($rowemp=mysqli_fetch_array($qempleado)) {
			$query="delete from $payroll where periodo='".$rowemp['periodo']."' and concepto = '".$rowemp['codigo']."'";
			$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
		} // fin ciclo de concepto periodo
		/////////////////////////////////////////////// filtros de eliminacion POR MONTO = 0
		$query="delete from $payroll where monto=0";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		/////////////////////////////////////////////// filtros de eliminacion POR CONDICION
		$qpersonal = mysqli_query($enlace,$queryinicial) or die ($queryinicial.':>'.mysqli_error($enlace));
		while ($rowp = mysqli_fetch_array($qpersonal)) {
			$query="select * from concepto_condicion where id='".$_SESSION['id_validar']."' order by codigo";
			$qcondicion = mysqli_query($enlace,$query) or die ($query);
			while ($rowcondicion=mysqli_fetch_array($qcondicion)) {
				if (substr($rowcondicion['valor1'],0,1)=='C') {
					$query="select * from $payroll where cedula='".$rowp['codigo']."' and concepto = '".substr($rowcondicion['valor1'],1,4)."'";
					$qvalor = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
					$nvalor = mysqli_num_rows($qvalor);
					if ($nvalor==0) $monto1=0;
					else {
							$rowvalor=mysqli_fetch_array($qvalor);
							$monto1=$rowvalor['monto'];
					}
				} else $monto1 = $rowcondicion['valor1']+0;
				if (substr($rowcondicion['valor2'],0,1)=='C') {
					$query="select * from $payroll where cedula='".$rowp['codigo']."' and concepto = '".substr($rowcondicion['valor2'],1,4)."'";
					$qvalor = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
					$nvalor = mysqli_num_rows($qvalor);
					if ($nvalor==0) $monto2=0;
					else {
							$rowvalor=mysqli_fetch_array($qvalor);
							$monto2=$rowvalor['monto'];
					}
				} else $monto2 = $rowcondicion['valor2']+0;
				$elimina=0;
				if ($rowcondicion['condicion']=='=') $elimina=($monto1==$monto2)?1:0;
				if ($rowcondicion['condicion']=='<') $elimina=($monto1<$monto2)?1:0;
				if ($rowcondicion['condicion']=='>') $elimina=($monto1>$monto2)?1:0;
				if ($rowcondicion['condicion']=='>=') $elimina=($monto1>=$monto2)?1:0;
				if ($rowcondicion['condicion']=='<=') $elimina=($monto1<=$monto2)?1:0;
				if ($rowcondicion['condicion']=='<>') $elimina=($monto1!=$monto2)?1:0;
				if ($elimina == 1) {
					$query="delete from $payroll where cedula='".$rowp['codigo']."' and concepto = '".$rowcondicion['codigo']."'";
					$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
				}
				} // fin ciclo de concepto condicion
		}
		$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' order by periodo DESC limit 1");
		$nomina='';$periodo='';$desnomina='';$desperiodo='';
		$nomina=substr($_POST['nomina'],0,3);
		$desnomina=substr($_POST['nomina'],6,50);
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$periodo=$row['periodo'];
			$_POST['cierre']=$row['pre'];
			$desperiodo=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta']);
		}
		/////////////////////////////////////////////// filtros de eliminacion POR TIPOR DE CONCEPTO = REPORTE
		if ($_POST['treporte']!='A' && $_POST['treporte']!='B') $query="delete from $payroll where tipo='R'";
		else $query="delete from $payroll where tipo='R' and (concepto<>'".$conger01."' and concepto<>'".$conger02."' and concepto<>'".$conger03."' and concepto<>'".$conger04."' and concepto<>'".$conger05."' and concepto<>'".$conger06."') ";
		$qempleado = mysqli_query($enlace,$query) or die ($query.mysqli_error($enlace));

		/////////////////////////////////////////////// imprimir PAYROLL
		$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$_POST['empresal']=$_SESSION['empresa_validar'];
			$_POST['pie']=$row['pie'];
			$_POST['derecho']=$row['derecho'];
			$_POST['encabeza']=$row['encabeza'];
			$duti=$row['duti'];
			$tasa_usd=$row['tasa_usd'];
			$tasa_usd_2=$row['tasa_usd_2'];
			
			$_POST['empresa']=substr($_POST['nomina'],6,100);
		}
		$_POST['periodo']=$periodo.' - '.$desperiodo;

		//======================================== reporte
		//======================================== reporte
		//======================================== reporte
		include("proceso_reportes.php");
		//======================================== reporte
		//======================================== reporte
		//======================================== reporte

} // fin del else de POST

?>
